Bug 113942 - installation fails to complete with 'everything' option
Summary: installation fails to complete with 'everything' option
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 2.1
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-20 15:09 UTC by emmanuel.foy
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 22:40:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump (107.93 KB, text/plain)
2004-01-20 15:13 UTC, emmanuel.foy
no flags Details

Description emmanuel.foy 2004-01-20 15:09:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
I downloaded AS 2.1 U3 ISO images from rhn and checked MD5, they are good.
If I Install from cd medias, it fails at the end of cd 2 when I select
'everything'. An error windows pops up with the message 'Device or
resource busy'. It could be saved on a floppy (anacdump.txt). If I
proceed with 'server' installation it works fine.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.proceed to an installation with 'everything' selected
2.
3.
    

Actual Results:  An error window pops up to save traceback

Expected Results:  Full installation should be completed

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 814, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 529, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 145, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 417, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 611, in doInstall
    problems = ts.run(0, ~rpm.RPMPROB_FILTER_DISKSPACE, cb.cb, 0)
  File "/usr/lib/anaconda/packages.py", line 244, in cb
    fn = self.method.getFilename(h, self.pkgTimer)
  File "/usr/lib/anaconda/image.py", line 86, in getFilename
    isys.umount("/mnt/source")
  File "/usr/lib/anaconda/isys.py", line 170, in umount
    rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')

Comment 1 emmanuel.foy 2004-01-20 15:13:08 UTC
Created attachment 97122 [details]
anacdump

Here's the full anacdump

Comment 2 Jeremy Katz 2005-02-01 22:40:57 UTC
Fixed in later updates.


Note You need to log in before you can comment on or make changes to this bug.